use lettre::{message::SinglePart, Message, Transport};

use crate::utils::ApplicationError;

use super::Mailer;

impl Mailer {
    pub fn send_test_mail(&self, to: &str) -> Result<(), ApplicationError> {
        let message = Message::builder()
            .from("noreply <noreply@brasiwa-leipzig.de>".parse()?)
            .reply_to("noreply <noreply@brasiwa-leipzig.de>".parse()?)
            .to(to.parse()?)
            .subject("Brass: Test E-Mail")
            .singlepart(SinglePart::plain(
                "Testmail von Brass. E-Mail Versand funktioniert!".to_string(),
            ))?;

        self.transport.send(&message)?;
        Ok(())
    }
}
